Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZURLOperator Class Reference

Collection of url modifying operators. More...

## Public Member Functions
| __construct ( $url_name='ezurl', $urlroot_name='ezroot', $ezsys_name='ezsys', $design_name='ezdesign', $image_name='ezimage', $ext_name='exturl', $httpName='ezhttp', $iniName='ezini', $iniNameHasVariable='ezini_hasvariable', $httpNameHasVariable='ezhttp_hasvariable')
| operatorTemplateHints ()
| iniTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| urlTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| applyQuotes ( $text, &$parameter, $onlyQuote=false)
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Static Public Member Functions
static | eZDesign ( $tpl, $operatorValue, $operatorName)
static | eZImage ( $tpl, $operatorValue, $operatorName, $skipSlash=false)

## Public Attributes
const | HTTP_OPERATOR_TYPE_POST = 1
const | HTTP_OPERATOR_TYPE_GET = 2
const | HTTP_OPERATOR_TYPE_SESSION = 3
const | HTTP_OPERATOR_TYPE_COOKIE = 4
| $Operators
| $URLName
| $URLRootName
| $DesignName
| $ImageName
| $Sys
| $SysName
| $ExtName
| $HTTPName
| $ININame
| $ININameHasVariable
| $HTTPNameHasVariable

## Detailed Description

Collection of url modifying operators.

Definition at line 17 of file ezurloperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZURLOperator::__construct | ( |  | $url_name = `'ezurl'`,
|  |  | $urlroot_name = `'ezroot'`,
|  |  | $ezsys_name = `'ezsys'`,
|  |  | $design_name = `'ezdesign'`,
|  |  | $image_name = `'ezimage'`,
|  |  | $ext_name = `'exturl'`,
|  |  | $httpName = `'ezhttp'`,
|  |  | $iniName = `'ezini'`,
|  |  | $iniNameHasVariable = `'ezini_hasvariable'`,
|  |  | $httpNameHasVariable = `'ezhttp_hasvariable'`
| ) |  |

Constructor

Parameters

  string | $url_name |
  string | $urlroot_name |
  string | $ezsys_name |
  string | $design_name |
  string | $image_name |
  string | $ext_name |
  string | $httpName |
  string | $iniName |
  string | $iniNameHasVariable |
  string | $httpNameHasVariable |

Definition at line 38 of file ezurloperator.php.

References eZSys\instance().

## Member Function Documentation

## ◆ applyQuotes()

eZURLOperator::applyQuotes | ( |  | $text,
|  | & | $parameter,
|  |  | $onlyQuote = `false`
| ) |  |

Apply quotes to static text

Parameters

  static | text
  quote | parameter
  if | set to true, return only quote value

Returns
  text with quotes

Definition at line 631 of file ezurloperator.php.

References eZTemplateNodeTool\elementConstantValue(), and eZHTTPTool\instance().

Referenced by urlTransformation().

## ◆ eZDesign()

static eZURLOperator::eZDesign | ( |  | $tpl,
|  |  | $operatorValue,
|  |  | $operatorName
| ) |  |
| static

Definition at line 958 of file ezurloperator.php.

References eZTemplateDesignResource\allDesignBases(), eZTemplateDesignResource\designSetting(), eZTemplateDesignResource\fileMatch(), and eZSys\instance().

Referenced by modify(), and urlTransformation().

## ◆ eZImage()

static eZURLOperator::eZImage | ( |  | $tpl,
|  |  | $operatorValue,
|  |  | $operatorName,
|  |  | $skipSlash = `false`
| ) |  |
| static

Definition at line 987 of file ezurloperator.php.

References eZTemplateDesignResource\allDesignBases(), eZTemplateDesignResource\designSetting(), eZTemplateDesignResource\fileMatch(), and eZSys\instance().

Referenced by modify(), and urlTransformation().

## ◆ iniTrans()

eZURLOperator::iniTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 124 of file ezurloperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createStringElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZURLOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 679 of file ezurloperator.php.

References eZDesign(), eZImage(), HTTP_OPERATOR_TYPE_COOKIE, HTTP_OPERATOR_TYPE_GET, HTTP_OPERATOR_TYPE_POST, HTTP_OPERATOR_TYPE_SESSION, eZHTTPTool\instance(), eZURL\registerURL(), eZURI\transformURI(), and eZURL\urlByMD5().

## ◆ namedParameterList()

eZURLOperator::namedParameterList | ( |  | ) |

Definition at line 669 of file ezurloperator.php.

## ◆ operatorList()

eZURLOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 664 of file ezurloperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZURLOperator::operatorTemplateHints | ( |  | ) |

Definition at line 63 of file ezurloperator.php.

## ◆ urlTransformation()

eZURLOperator::urlTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 230 of file ezurloperator.php.

References applyQuotes(), eZTemplateNodeTool\createBooleanElement(), eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createStringElement(), eZTemplateNodeTool\elementConstantValue(), eZDesign(), eZImage(), eZURI\getTransformURIMode(), eZHTTPTool\instance(), eZTemplateNodeTool\isConstantElement(), eZURL\registerURL(), eZURI\transformURI(), and eZURL\urlByMD5().

## Member Data Documentation

## ◆ $DesignName

eZURLOperator::$DesignName

Definition at line 1018 of file ezurloperator.php.

## ◆ $ExtName

eZURLOperator::$ExtName

Definition at line 1021 of file ezurloperator.php.

## ◆ $HTTPName

eZURLOperator::$HTTPName

Definition at line 1022 of file ezurloperator.php.

## ◆ $HTTPNameHasVariable

eZURLOperator::$HTTPNameHasVariable

Definition at line 1025 of file ezurloperator.php.

## ◆ $ImageName

eZURLOperator::$ImageName

Definition at line 1018 of file ezurloperator.php.

## ◆ $ININame

eZURLOperator::$ININame

Definition at line 1023 of file ezurloperator.php.

## ◆ $ININameHasVariable

eZURLOperator::$ININameHasVariable

Definition at line 1024 of file ezurloperator.php.

## ◆ $Operators

eZURLOperator::$Operators

Definition at line 1017 of file ezurloperator.php.

Referenced by operatorList().

## ◆ $Sys

eZURLOperator::$Sys

Definition at line 1019 of file ezurloperator.php.

## ◆ $SysName

eZURLOperator::$SysName

Definition at line 1020 of file ezurloperator.php.

## ◆ $URLName

eZURLOperator::$URLName

Definition at line 1018 of file ezurloperator.php.

## ◆ $URLRootName

eZURLOperator::$URLRootName

Definition at line 1018 of file ezurloperator.php.

## ◆ HTTP_OPERATOR_TYPE_COOKIE

const eZURLOperator::HTTP_OPERATOR_TYPE_COOKIE = 4

Definition at line 22 of file ezurloperator.php.

Referenced by modify().

## ◆ HTTP_OPERATOR_TYPE_GET

const eZURLOperator::HTTP_OPERATOR_TYPE_GET = 2

Definition at line 20 of file ezurloperator.php.

Referenced by modify().

## ◆ HTTP_OPERATOR_TYPE_POST

const eZURLOperator::HTTP_OPERATOR_TYPE_POST = 1

Definition at line 19 of file ezurloperator.php.

Referenced by modify().

## ◆ HTTP_OPERATOR_TYPE_SESSION

const eZURLOperator::HTTP_OPERATOR_TYPE_SESSION = 3

Definition at line 21 of file ezurloperator.php.

Referenced by modify().

The documentation for this class was generated from the following file:

- ezurloperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.